Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting
Class InvocationResponse

    java.lang.Object
      org.jboss.remoting.InvocationResponse

All Implemented Interfaces:
  java.io.Serializable

    public class InvocationResponse

extends java.lang.Object
implements java.io.Serializable

InvocationResponse is a return object from a call to a remote Server Invoker. The InvocationResponse may contain either an Exception or a result value (which may be null in the case the user returns null)

Version:
  $Revision: 1977 $
Author:
  Tom Elrod
See Also:
  Serialized Form

Constructor Summary
`InvocationResponse(java.lang.String sessionId, java.lang.Object result, boolean isException, java.util.Map payload)`

Method Summary
`java.util.Map` | `getPayload()`
`java.lang.Object` | `getResult()`
`java.lang.String` | `getSessionId()`
`boolean` | `isException()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvocationResponse

    public InvocationResponse(java.lang.String sessionId,
                              java.lang.Object result,
                              boolean isException,
                              java.util.Map payload)

Method Detail

### getSessionId

    public java.lang.String getSessionId()

### getPayload

    public java.util.Map getPayload()

### isException

    public boolean isException()

### getResult

    public java.lang.Object getResult()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.